Bug 75110 - kate does not properly open UTF-8 files.
kate does not properly open UTF-8 files.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks: FC3BugWeekTracker
  Show dependency treegraph
 
Reported: 2002-10-04 12:19 EDT by Eugene Kanter
Modified: 2007-04-18 12:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-26 19:06:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene Kanter 2002-10-04 12:19:00 EDT
Description of problem: 
kate does not properly open UTF-8 files if File menu is used. 
 
How reproducible: 
Always 
 
Steps to Reproduce: 
1.Create UTF-8 file utf-8.txt with the content other the English or Western 
Erupean so two byte sequences are used. 
2.Type kate, navigaete to file->open, select utf-8.txt 
 
Actual Results:  Two byte UTF-8 is displayed incorrectly. 
 
Expected Results:  Proper UTF-8 parsing. 
 
Additional info: 
 
"kate utf-8.txt" opens the same file correctly.
Comment 1 Rik van Riel 2004-09-26 19:06:57 EDT
Tested by morte in #fedora-bugweek.  Apparently this is fixed an works
in current releases. Please reopen if you can still break this.
Comment 2 Eugene Kanter 2004-09-26 21:50:34 EDT
Works properly in FC3T2 + current updates.

Note You need to log in before you can comment on or make changes to this bug.